> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usealmanac.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Page Sources



## OpenAPI

````yaml /openapi.json get /v1/wikis/{wiki_id}/pages/{page_path}/sources
openapi: 3.1.0
info:
  description: Versioned API for hosted Almanac wikis.
  title: Almanac V1 API
  version: 0.5.0
servers:
  - url: https://api.usealmanac.com
security:
  - bearerAuth: []
tags:
  - description: Session, onboarding, overview, and email preferences.
    name: Account
  - description: Workspace discovery and details.
    name: Workspaces
  - description: Wiki creation, listing, and details.
    name: Wikis
  - description: Wiki pages, search, topics, and provenance.
    name: Pages
  - description: Source records, trees, search, and original files.
    name: Sources
  - description: Source uploads and upload records.
    name: Uploads
  - description: Ingest and Garden jobs, events, and outcomes.
    name: Jobs
  - description: Workspace-scoped developer keys.
    name: API keys
  - description: Workspace membership and invitations.
    name: Members
  - description: Workspace plans, usage, and billing portal.
    name: Billing
paths:
  /v1/wikis/{wiki_id}/pages/{page_path}/sources:
    get:
      tags:
        - Sources
      summary: Page Sources
      operationId: page_sources_v1_wikis__wiki_id__pages__page_path__sources_get
      parameters:
        - in: path
          name: wiki_id
          required: true
          schema:
            title: Wiki Id
            type: string
        - in: path
          name: page_path
          required: true
          schema:
            title: Page Path
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/PageSource'
                title: >-
                  Response Page Sources V1 Wikis  Wiki Id  Pages  Page Path 
                  Sources Get
                type: array
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                  message:
                    type: string
                  request_id:
                    type: string
                required:
                  - error
                  - message
                  - request_id
                type: object
          description: Invalid request
components:
  schemas:
    PageSource:
      additionalProperties: false
      properties:
        created_at:
          title: Created At
          type: string
        job_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Job Id
        key:
          title: Key
          type: string
        note:
          title: Note
          type: string
        original_filename:
          title: Original Filename
          type: string
        page_id:
          title: Page Id
          type: string
        path:
          title: Path
          type: string
        source_id:
          title: Source Id
          type: string
        title:
          title: Title
          type: string
      required:
        - page_id
        - source_id
        - key
        - title
        - job_id
        - note
        - path
        - original_filename
        - created_at
      title: PageSource
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: Almanac access token or API key
      scheme: bearer
      type: http

````